Apr 30 2008

php-5.2.5 inkl Suhosin-Patch für Debian 3.1/4.0 [update]

Tag: WebserverThe-Wildcat @ 15:55

Gestern benötigte ich endlich den vierten Parameter $double_encode in der Funktion htmlsepcialchars. Dieser wurde leider erst mit Version 5.2.3 eingeführt. Da ich ziemlich faul bin was das Updaten von php angeht und ich deshalb meist nur Sicherheitsfixes einspiele, wurde es dann doch endlich mal Zeit :mrgreen: .

Aufgrund der Verwendeten “Verwaltungssoftware” :lol: und der Tatsache das ich schlichtweg keine Lust habe jedes mal php neu zu übersetzen, benutze ich die Pakete von Debian. Leider bieten diese nur die Version 5.2.0-8+etch10 .

Also kurz google bemühen und dabei fand ich die Seite www.dotdeb.org. Diese stellt aktuelle Versionen als Debianpakete für php,mysql,apache und viele andere zur Verfügung. Die php Version beinhaltet gleich noch den aktuellen Suhosin-Patch.

Der Suhosin-Patch bietet zumindest die Grundfunktionalitäten der Suhosin-Extension. In der Konfiguration unterstützt es aber lediglich die Loggingfunktionen. Also habe ich mich im repository von dotdeb.org noch etwas umgesehen und fand dann auch gleich php5-suhosin, welches die Suhosin-Extension nachinstalliert. Leider ist es nicht die aktuellste Version, sondern eine Version davor. 0.9.22 statt 0.9.23 welches nicht wirklich tragisch ist, wenn man sich das Changelog ansieht.

Allerdings müsst ihr eure php.ini entsprechend selbst anpassen. Dazu werde ich heute oder morgen noch einen Ausführlicheren Artikel zu Suhosin und seinen Konfigurationsmöglichkeiten verfassen.

Update:

Version 5.2.6 von PHP ist bereits bei dotdeb.org verfügbar, gleichzeitig damit wurde die aktuelle Version der Suhosin-Extension aufgenommen :) sehr schön und vorallem sehr schnell, Offiziell wurde die neue PHP-Version erst gestern veröffentlicht :mrgreen: .

Um die Pakete der Seite zu nutzen müsst ihr eure sources.list editieren.

Debian 3.1

  • deb http://packages.dotdeb.org sarge all
  • deb-src http://packages.dotdeb.org sarge all

Debian 4.0

  • deb http://packages.dotdeb.org etch all
  • deb-src http://packages.dotdeb.org etch all

2 Responses to “php-5.2.5 inkl Suhosin-Patch für Debian 3.1/4.0 [update]”

  1. Tobi says:

    Als Debian Neuling hatte ich Probleme mit den Mirrors auf der DotDeb-Seite, die in einer anderen Form als hier notiert sind. Da ich noch Sarge benutze, war dies auch das Schlagwort statt “stable”. Andernfalls scheinen einige Grundpackete (z.B. libc6) nicht zu passen. Auf jeden Fall hat mir dieser Artikel etwas gebracht.

  2. The-Wildcat says:

    Jup weil stable ist momentan gleichzeitig etch (Version 4.0) daher hätte er dann die etch Pakete unter sarge installieren wollen :mrgreen: . Wie es im Artikel steht, musst du sarge all einsetzen statt stable all. Ich hab im Artikel auch gleich für Version 4 etch statt stable geschrieben. Desweiteren sind die Angaben nur ergänzend zu den anderen in der sources.list und keinesfalls dazu da um sie zu ersetzen :) .

    Und freut mich das dir der Artikel etwas gebracht hat ;)

Leave a Reply

You must be logged in to post a comment. Login now.